Since making a feat mod and noticing no-one else was working on one, I thought I would get out some more feats as the current selection is pretty lacklustre and I like some of the feats added in Tasha's Cauldron of Everything. After weeks of working on this, with most of that time working on Polearm Master, I'm happy how it's all come together.

## New Feats:

Alert - Looks like it's working in patch 4 so I have added it in, you get the initiative bonus and disadvantage to counter advantage to sneaking targets (not that the AI use sneak attacks).

Charger - As Shove is already a bonus action, you can Shove by charging. If you charge through an enemy, they are moved away from the target point.

Crossbow Expert - Bonus action works, you have the bonus action even if you have one Crossbow equipped. You get advantage from up to two sources to counter the "Too Close" and "Threatened" disadvantage using similar logic to Sharpshooter. Loading weapons do not have a once-per-turn limit already.

Crusher - Damage types are not visible but I've found a compromise. The effect works if you use your fists or have the Smash or Topple weapon skill. This means that Slings do not gain the Crush effect, but War Picks and wielding a valid weapon in your offhand will gain the effect.

Durable - Since hit dice isn't rolled during a short rest, I've increased the amount healed during the short rest instead.

Fey Touched (Tasha's Cauldron of Everything) - Misty Step can be cast once a day using a level 1 spell slot. The 2nd level spell needed to be added twice otherwise the 2nd level version isn't accessible as a Warlock. You also learn an additional Divination/Enchantment spell.

Fighting Initiate (Tasha's Cauldron of Everything) - Select an additional fighting style.

Healer - The heal-to-1 effect is already given to everyone and I didn't want to take away any existing features. As Healer kits don't exist it's a free spell that can't be cast on the same target more than once per day, which is already pretty powerful.

Inspiring Leader - Gives 5 temp hit points instead of charisma mod + level as you cannot reference the caster's level in a boost. This will need to be scripted and/or multiple statuses would need to be created from 1-25 for all possibilities, so it's only 5 temp for now. Having to choose all 6 targets is definitely possible but unintuitive.

Magic Initiate (Bard and Druid): Vicious Mockery already existed and Larian has added a new icon in Patch 5. Uses the Larian spell list for Druid (you can add additional Druid spells via my Druid spells mod). 

Polearm Master - The Polearm AOO needs to be toggled on first, which checks if you have a valid weapon with the "Reach" type. Spears/quarterstaffs are not supported currently, I tried adding a custom weapon type/flag which didn't work.

Resilient - Very useful for casters who do not already have proficiency in constitution saving throws.

Sentinel - I don't like the speed to 0 effect stacking with Polearm Master, but yes this stacks correctly with Polearm Master. Goblins are the only enemy that uses the "Disengage" action in the base game, I've changed the disengage effect so that it only works if you don't have the Sentinel Feat. The melee reaction attack is working correctly and should stack with multiple Sentinels attacking the same target.

Shadow Touched (Tasha's Cauldron of Everything) - Basically the same as Fey Touched but the spells are changed.

Sharpshooter - I've added advantage once the target gets out of the standard 18m range. Whilst the preview may show incorrectly depending on where you aim the damage rolls are correct in the combat log. The long range shot is there to stop your character from moving closer when you don't want to.

Telekinetic (Tasha's Cauldron of Everything) - This is so much fun, but not very useful. The pull effect doesn't have a good preview but the target is still moved towards you (see the screenshots)

War Caster - It is difficult to confirm if the concentration check is taken at advantage but with some tests it seems to be consistent and impacts all Constitution saving throws. Instead of selecting a Spell you attack with a 1d8 Force damage spell currently, otherwise there would need to be a Spell selector/case handled for each potential Spell. Whilst this would be possible, it would be very tedious for every possibility.

## Fixed Feats:

Defensive Duelist now scales with Proficiency.

Dual Wielder now only gives the AC bonus if you're wielding 2 melee weapons - Fixed by Larian.

GWM was mostly fixed in patch 3. The bonus action can only be granted on your turn and I added the visual status to determine if you're using a valid heavy weapon.

Mobile now counters Attack of Opportunity - Larian have made changes to this feat but it still doesn't work.

Shield Master has an additional "Shove" that gives you +2/10% extra chance to Shove, considering that Shove is already a Bonus Action.

## Where is...:

Piercer/Slasher (Tasha's Cauldron of Everything) - Damage types are not visible and the Weapon skills are not specific enough to one or the other.

Racial Feats - Not currently possible to limit feats by race, but Lostsoul has done quite a few - https://www.nexusmods.com/baldursgate3/mods/167

Ritual Caster - Available in my Ritual Spells mod - https://www.nexusmods.com/baldursgate3/mods/79

Spell Sniper - Currently on hold, may make up a future mod.

Tavern Brawler - Whilst I can make it different and interesting I want to stick to useful feats that keep to their tabletop implementation.

## Compatibility:

Designed to work in tandem with as many mods as possible. Quite a few of the class mods use feats to replace class features, and feats can be added into the game without causing any clashes.

As there are some changes to Attack of Opportunity, disengaging and short rest calculations, any other mod that does the same will cause conflicts.